@startuml UcpModelV2Objects
title Ucp Model V2


class UcpComponent {
  
}

class UcpController {
  
}

class UcpModelV2 {
    get version
    createNewVersion
    multiSet
  get / set model
}

class DataStore {
  
}

class ModelDataProxy {
  multiSet
  set parent
  reportChange
  dataPath
  
}

class IOR {
  
}

class PersistanceManager {
  
}

class "UcpComponet" as UcpComponetExternal {
  
}

UcpModelV2 -> DataStore: Version Store
UcpModelV2 -down-> ModelDataProxy: Data
ModelDataProxy -> ModelDataProxy: RecurrentData
ModelDataProxy -down-> IOR: link

UcpController -down-> UcpModelV2: onModelWillChange\nmodelChanged
UcpComponent -> UcpModelV2: this.data
UcpComponent -> UcpModelV2:this.model
UcpComponent -> UcpModelV2:this.ucpModel
PersistanceManager -down-> UcpModelV2: importIORDataStructure\ncreateIORDataStructure

ModelDataProxy -left-> UcpComponetExternal: ref
IOR -> UcpComponetExternal: transform into
@enduml